curl --request POST \
--url https://api.buildwithchirp.com/v1/calls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "+15551234567",
"to": "+15559876543",
"fromChannel": "pstn",
"toChannel": "pstn",
"metadata": {
"campaignId": "camp_123"
}
}
'import requests
url = "https://api.buildwithchirp.com/v1/calls"
payload = {
"from": "+15551234567",
"to": "+15559876543",
"fromChannel": "pstn",
"toChannel": "pstn",
"metadata": { "campaignId": "camp_123" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '+15551234567',
to: '+15559876543',
fromChannel: 'pstn',
toChannel: 'pstn',
metadata: {campaignId: 'camp_123'}
})
};
fetch('https://api.buildwithchirp.com/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "call_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"appId": "app_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"direction": "outbound",
"status": "in_progress",
"fromAddress": "+15551234567",
"toAddress": "+15559876543",
"fromChannel": "pstn",
"toChannel": "pstn",
"duration": 120,
"endReason": "hangup",
"metadata": {},
"livekitRoomName": "<string>",
"startedAt": "2026-01-15T10:30:00Z",
"answeredAt": "2026-01-15T10:30:05Z",
"endedAt": "2026-01-15T10:32:05Z",
"createdAt": "2026-01-15T10:30:00Z"
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}Create call
Initiate an outbound call
Authorizations
App API key (format: sk_live_app_* or sk_test_app_*) for app-level operations
Body
Caller address (phone number or identifier)
"+15551234567"
Callee address (phone number or identifier)
"+15559876543"
Channel for the caller leg
pstn, whatsapp, webrtc "pstn"
Channel for the callee leg
pstn, whatsapp, webrtc "pstn"
Arbitrary metadata to attach to the call
Show child attributes
Show child attributes
{ "campaignId": "camp_123" }
Response
Call initiated successfully
Unique identifier for a Call. Format: call_[test_]{ksuid}
^call_(?:test_)?[a-zA-Z0-9]{27}$"call_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Unique identifier for a App. Format: app_[test_]{ksuid}
^app_(?:test_)?[a-zA-Z0-9]{27}$"app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
inbound, outbound "outbound"
Current call status
initiated, ringing, in_progress, voicemail, completed, failed, busy, no_answer, canceled "in_progress"
"+15551234567"
"+15559876543"
Communication channel for the call leg
pstn, whatsapp, webrtc "pstn"
Communication channel for the call leg
pstn, whatsapp, webrtc "pstn"
Call duration in seconds
120
Reason the call ended
"hangup"
Arbitrary metadata attached to the call
Show child attributes
Show child attributes
LiveKit room name for WebRTC connections
"2026-01-15T10:30:00Z"
"2026-01-15T10:30:05Z"
"2026-01-15T10:32:05Z"
"2026-01-15T10:30:00Z"